<template>
  <div class="p-50">
    <BaseRangePicker v-model:start="postForm.startTime" v-model:end="postForm.endTime"></BaseRangePicker>
    <hr />
    <a-button @click="send">submit</a-button>
    <a-button @click="reset">reset</a-button>
    <hr />
    {{ postForm }}
  </div>
</template>

<script setup lang="ts">
import type { UploadFile } from 'ant-design-vue'
// import { genInitFileList } from '@/utils'

const postForm = ref({
  startTime: '',
  endTime: '',
})
setTimeout(() => {
  postForm.value.startTime = '2021-02-22'
  postForm.value.endTime = '2021-02-22'
}, 1000)

const send = () => {
  console.log(toRaw(postForm))

}

const reset = () => {
  console.log(toRaw(postForm))
  postForm.value.startTime = ''
  postForm.value.endTime = ''
}
</script>
<style scoped></style>

